2003-05-22  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: New parse error message handling code 

2003-02-21  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: Added escapedContent method to GSXMLNode class

2003-02-21  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: Wrapped NSDistributedNotificationCenter and
	NSNotificationQueue

2003-01-09  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: Add NSCalendar date weekOfYear method.
	* gnustep-base.h: Include new GSCategories.h

2002-11-27  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: Updated GSMime API.

2002-09-25  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: Updated GSXML API.

2002-08-27  Richard Frith-Macdonald <rfm@gnu.org>

	* gnustep-base.jigs: Added GSXPath support ... written by Nicola Pero
        provides an API to use the xpath support built into libxml from
        version 2.3 onwards.

Tue Jul 16 17:22:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* gnustep-base.jigs: Added GSXML -setNamespace:, from gnustep-base 1.4.0.

Mon Jun 24 13:15:00 2002  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* gnustep-base.jigs: GSMime API updated to include some utilities
	and the document unparsing API.

Mon May 27 06:30:00 2002  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* gnustep-base.jigs: GSMime API dded, and resolved some return
	value conflicts with XML parser.

Wed Jan 02 14:16:00 2002  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* gnustep-base.jigs: GSXMLDocument API modified for consistency etc
	Added GSMime wrappers too.

Wed Jan 02 14:16:00 2002  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* gnustep-base.jigs: GSXMLDocument API modified for consistency
	Corrected error in last modification.
	
Mon Nov 19 12:20:00 2001  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* gnustep-base.jigs: Wrapped NSCalendarDate, NSCharacterSet,
	NSDistriibutedLock, NSMutableCharacterSet, NSFileHandle, NSPipe

Tue Jul 24 11:51:19 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gnustep-base.jigs (enumerations): Removed as now WrapCreator
	manages enumerations automatically.

Mon Jul 16 13:31:49 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile (GNUSTEP_INSTALLATION_DIR): Install in
	GNUSTEP_SYSTEM_ROOT.

Wed Jun 20 16:45:34 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gnustep-base.jigs (NSDate): Exposed
	descriptionWithCalendarFormat:timeZone:locale:.
	(NSTimeZone): New wrapper for this class.

Mon May 11 13:55:28 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile (VERSION): Raise to 1.0.2.
	* gnustep-base-wrapper.debug.spec.in: Renamed back to
	gnustep-base-java-wrapper-debug.spec.in.
	
Wed May 23 13:14:20 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gnustep-base.jigs: Provide explicit declaration of
	removeObjectForKey: to solve conflicts between NSMutableDictionary
	and NSUserDefault declarations.

Mon May 21 02:21:33 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Simplified and updated building process to the new
	java-wrapper.make.
	* GNUmakefile: Rewritten for new java-wrapper.make.
	* NSPropertyListSerialization.h: Protected from multiple
	inclusions.
	* NSPropList.m: Renamed to NSPropertyListSerialization.m.
	* gnustep-base-wrapper.spec.in: Renamed to
	gnustep-base-java-wrapper.spec.in.
	* gnustep-base-wrapper-debug.spec.in: Renamed to
	gnustep-base-java-wrapper.debug.spec.in.
	* GNUmakefile.wrapper: Removed.
	* GNUmakefile.wrapper.objc.postamble: Removed.
	* GNUmakefile.wrapper.objc.preamble: Updated.
	* libgnustep-base.jigs: Moved to gnustep-base.jigs; added
	declarations for `next' and `prev' methods in GSXML classes to
	prevent problems with conflicting types.
	
Mon May  7 03:38:24 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSDictionary.m.add: Fixed - variables declared of type NSArray *
	instead of NSDictionary *.

Fri Apr 27 12:54:04 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile: Abort with an error if the gnustep-base library
	is too old.

Thu Apr 26 12:20:00 2001  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* libgnustep-base.jigs: Wrap GSXML classes.
	* gnustep-base.h: include GSXML.h.

Wed Apr 25 12:20:03 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile (VERSION): Simply set this variable to
	GNUSTEP_BASE_VERSION now that we have this variable.  Will only
	work with newer gnustep-base.

Mon Mar 19 13:37:44 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile (VERSION): Added code to set this variable to 
	match the one of the gnustep-base library we are wrapping.

Mon Feb 19 11:17:41 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile: Fixed setting VERSION at the right moment.

Fri Feb  9 16:22:27 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* NSDictionary.java.add: New file.
	* NSDictionary.m.add: New file.
	* NSMutableDictionary.java.add: New file.
	* libgnustep-base.jigs: Updated.
	* libgnustep-base.jigs: Map setObject:forKey: to setObjectForKey.
	(NSDictionary): Add explicit declaration of objectForKey: to avoid
	conflict with NSUserDefault's declaration. (NSMutableDictionary):
	Idem for setObject:forKey: (NSUserDefaults): Fake the declaration
	to avoid selector conflicts.
	
Fri Feb  9 15:14:16 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* NSMutableData.java.add: Simplified.
	* NSMutableData.m.add: Removed.
	* NSMutableArray.java.add: Simplified.
	* NSMutableArray.m.add: Removed.
	* NSSet.m.add: New file.
	* NSSet.java.add: New file.
	* NSMutableSet.java.add: New file.
	* NSCountedSet.java.add: New file.
	* libgnustep-base.jigs: Updated.

Fri Feb  9 15:04:20 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* *.handmade: Changed extension from .handmade to .add.
	* libgnustep-base.jigs: Updated as a consequence.

Fri Feb  9 14:56:49 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (NSCountedSet): New wrapper.

Fri Feb  9 14:32:47 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* NSData.m.handmade (Java_gnu_gnustep_base_NSData_initWithBytes):
	Use the new function JIGSInitNSDataFromJbyteArray.
	* NSMutableData.m.handmade: Idem.
	* NSArray.java.handmade: New file.
	* NSArray.m.handmade: Idem.
	* NSMutableArray.java.handmade: Idem.
	* NSMutableArray.m.handmade: Idem.
	* libgnustep-base.jigs: Include the new files.
	
Fri Feb  9 10:16:29 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* NSData.m.handmade: Updated for new way of wrapping initializers.
	* NSData.java.handmade: Idem.
	* NSMutableData.java.handmade: Idem.
	* NSMutableData.m.handmade: Idem.
	
Wed Feb  7 12:29:16 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.wrapper.java.preamble: Now install into
	Developer/Base/Java/Reference; updated for change in java wrap
	makefiles.

Tue Feb  6 18:52:46 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.wrapper.java.preamble (gnustep-base_JAVADOC_FILES):
	No need to add -public to flags for javadoc.

Tue Feb  6 18:35:28 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gnustep-base-wrapper.spec.in (Summary, description): Fixed.

Tue Feb  6 18:18:09 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* NSData.m.handmade: New file.
	* NSData.java.handmade: Idem.
	* NSMutableData.m.handmade: Idem.
	* NSMutableData.java.handmade: Idem.
	* libgnustep-base.jigs: Include the new files.
	* GNUmakefile.wrapper.java.preamble: Idem.
	
Tue Jan 30 16:01:32 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile (after-distclean): Added to clean out .tar.gz 
	files created by make rpm in the wrapper subdirs

Thu Jan 25 13:27:52 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.wrapper (java-wrapper): Copy gnustep-base.h into the
	wrapper directory so it can be found when building the RPM.
	* GNUmakefile.wrapper.objc.postamble: New file to add -I. to
	include flags.
	
Thu Jan 25 12:01:28 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile: Added PACKAGE_NAME and VERSION.
	* gnustep-base-wrapper.spec.in: New file.
	* gnustep-base-wrapper-debug.spec.in: New file.

Thu Nov 30 11:26:14 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs (RunLoopEventType): Fixed typo reported by
	Helge Hess <helge.hess@skyrix.com>.

Fri Nov  3 16:14:12 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs (NSArray): Added the NotFound constant.
	(NSRunLoop): Added the DefaultRunLoopMode constant.

Thu Nov  2 16:05:35 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs: Moved RunLoopEventType from types 
	section to enumerations section.

Thu Nov  2 14:20:42 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs (NSNull), (NSPort), (NSRunLoop), 
	(NSTimer): New wrappers. 

Wed Nov  1 11:41:40 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs: Uncommented all the overloaded methods.
	This now works thanks to changes in the WrapCreator tool.
	(NSUserDefaults): Uncommented method returning NSData.

Tue Oct 31 13:26:47 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs (NSData), (NSMutableData): New wrappers.
	* NSPropList.m ([+propertyListFromData:]),
	([+dataFromPropertyList:]): New methods.
	* NSPropertyListSerialization.h: Updated for the new methods.
	* libgnustep-base.jigs (NSPropertyListSerialization): Wrap the
	new methods.

Fri Oct 20 17:13:24 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.wrapper: New file.
	* GNUmakefile.wrapper.objc.preamble: New file.	
	* NSPropList.m: New file.
	* NSPropertyListSerialization.h: New file.
	* libgnustep-base.jigs (NSPropertyListSerialization): New wrapper.
	* gnustep-base.h: Include NSPropertyListSerialization.h.
	
Fri Oct 20 12:44:14 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* libgnustep-base.jigs (NSNotificationCenter): New wrapper.

Fri Oct  6 12:59:36 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs: New entry for global method name mapping; 
	uncommented methods requiring selector morphing.

Tue Sep 26 15:30:27 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (NSBundle), (NSTask): New wrappers.

Tue Sep 26 13:09:55 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (types): New section, mapping
	NSTimeInterval to double.  (NSDate): Uncommented most methods, as
	now permitted by the mapping of NSTimeInterval.  (NSProcessInfo):
	Expose setProcessName:.

Tue Sep  5 23:37:07 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (NSNotification): New wrapper.
	(NSDate): New (partial) wrapper.

Tue Sep  5 15:49:00 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (NSProcessInfo), (NSUserDefaults): New
	wrappers.

Sat Aug 19 20:37:01 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (NSArray): Uncommented some methods 
	which now work due to fixes in java/Source.

Fri Aug 18 22:59:07 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs (NSSet), (NSMutableSet): New wrappers.

Fri Aug 18 20:01:10 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* libgnustep-base.jigs: New file.
	* GNUmakefile: New file.
	* gnustep-base.h: New file.
